commit:     795c402bc6547bacb4a570885ccec543305b689e
Author:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 22 16:01:06 2020 +0000
Commit:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Sun Nov 22 16:01:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=795c402b

net-libs/libnpupnp: revbump for prior flags change

Should have revbumped with 324522b51aefdbad70ff7e5c3a1a8beb3698519a,
doing it now.

Signed-off-by: Erik Mackdanz <stasibear <AT> gentoo.org>
Package-Manager: Portage-3.0.9, Repoman-3.0.2

 net-libs/libnpupnp/libnpupnp-4.0.14-r1.ebuild | 37 +++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/net-libs/libnpupnp/libnpupnp-4.0.14-r1.ebuild 
b/net-libs/libnpupnp/libnpupnp-4.0.14-r1.ebuild
new file mode 100644
index 00000000000..733dfdc3381
--- /dev/null
+++ b/net-libs/libnpupnp/libnpupnp-4.0.14-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A C++ base UPnP library, derived from Portable UPnP, a.k.a 
libupnp"
+HOMEPAGE="https://framagit.org/medoc92/npupnp";
+SRC_URI="https://www.lesbonscomptes.com/upmpdcli/downloads/${P}.tar.gz";
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-libs/expat
+       net-libs/libmicrohttpd
+       net-misc/curl
+"
+
+src_prepare() {
+       default
+       ./autogen.sh || die
+}
+
+src_configure() {
+       econf \
+               --enable-client \
+               --enable-debug \
+               --enable-device \
+               --enable-gena \
+               --enable-ipv6 \
+               --enable-optssdp \
+               --enable-reuseaddr \
+               --enable-soap \
+               --enable-ssdp \
+               --enable-tools \
+               --enable-webserver
+}

Reply via email to